scala.io

# StdIn

###
Related Doc: package io

#### object StdIn extends StdIn

Source
  StdIn.scala

Linear Supertypes
StdIn, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. StdIn
2. StdIn
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

5. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

6. #### final def eq(arg0: AnyRef): Boolean

   Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

   Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

   The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

   - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
   - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
   - `null.eq(null)` returns `true`.

   When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

   returns

     `true` if the argument is a reference to the receiver object; `false` otherwise.

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   The equality method for reference types.

   The equality method for reference types. Default implementation delegates to `eq`.

   See also `equals` in scala.Any.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
   Note

     not specified by SLS as a member of AnyRef

9. #### final def getClass(): Class[_]

   A representation that corresponds to the dynamic class of the receiver object.

   A representation that corresponds to the dynamic class of the receiver object.

   The nature of the representation is platform dependent.

   returns

     a representation that corresponds to the dynamic class of the receiver object.

   Definition Classes
     AnyRef → Any
   Note

     not specified by SLS as a member of AnyRef

10. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

14. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

15. #### def readBoolean(): Boolean

    Reads a boolean value from an entire line of the default input.

    Reads a boolean value from an entire line of the default input. Has a fairly liberal interpretation of the input.

    returns

      the boolean value read, or false if it couldn't be converted to a boolean

    Definition Classes
      StdIn
    Exceptions thrown

      `java.io.EOFException` if the end of the input stream has been reached.

16. #### def readByte(): Byte

    Reads a byte value from an entire line of the default input.

    Reads a byte value from an entire line of the default input.

    returns

      the Byte that was read

    Definition Classes
      StdIn
    Exceptions thrown

      `java.io.EOFException` if the end of the input stream has been reached.

      `java.lang.NumberFormatException` if the value couldn't be converted to a Byte

17. #### def readChar(): Char

    Reads a char value from an entire line of the default input.

    Reads a char value from an entire line of the default input.

    returns

      the Char that was read

    Definition Classes
      StdIn
    Exceptions thrown

      `java.io.EOFException` if the end of the input stream has been reached.

      `java.lang.StringIndexOutOfBoundsException` if the line read from default input was empty

18. #### def readDouble(): Double

    Reads a double value from an entire line of the default input.

    Reads a double value from an entire line of the default input.

    returns

      the Double that was read.

    Definition Classes
      StdIn
    Exceptions thrown

      `java.io.EOFException` if the end of the input stream has been reached.

      `java.lang.NumberFormatException` if the value couldn't be converted to a Float

19. #### def readFloat(): Float

    Reads a float value from an entire line of the default input.

    Reads a float value from an entire line of the default input.

    returns

      the Float that was read.

    Definition Classes
      StdIn
    Exceptions thrown

      `java.io.EOFException` if the end of the input stream has been reached.

      `java.lang.NumberFormatException` if the value couldn't be converted to a Float

20. #### def readInt(): Int

    Reads an int value from an entire line of the default input.

    Reads an int value from an entire line of the default input.

    returns

      the Int that was read

    Definition Classes
      StdIn
    Exceptions thrown

      `java.io.EOFException` if the end of the input stream has been reached.

      `java.lang.NumberFormatException` if the value couldn't be converted to an Int

21. #### def readLine(text: String, args: Any*): String

    Print and flush formatted text to the default output, and read a full line from the default input.

    Print and flush formatted text to the default output, and read a full line from the default input. Returns `null` if the end of the input stream has been reached.

    text

      the format of the text to print out, as in `printf`.

    args

      the parameters used to instantiate the format, as in `printf`.

    returns

      the string read from the default input

    Definition Classes
      StdIn

22. #### def readLine(): String

    Read a full line from the default input.

    Read a full line from the default input. Returns `null` if the end of the input stream has been reached.

    returns

      the string read from the terminal or null if the end of stream was reached.

    Definition Classes
      StdIn

23. #### def readLong(): Long

    Reads an long value from an entire line of the default input.

    Reads an long value from an entire line of the default input.

    returns

      the Long that was read

    Definition Classes
      StdIn
    Exceptions thrown

      `java.io.EOFException` if the end of the input stream has been reached.

      `java.lang.NumberFormatException` if the value couldn't be converted to a Long

24. #### def readShort(): Short

    Reads a short value from an entire line of the default input.

    Reads a short value from an entire line of the default input.

    returns

      the short that was read

    Definition Classes
      StdIn
    Exceptions thrown

      `java.io.EOFException` if the end of the input stream has been reached.

      `java.lang.NumberFormatException` if the value couldn't be converted to a Short

25. #### def readf(format: String): List[Any]

    Reads in some structured input (from the default input), specified by a format specifier.

    Reads in some structured input (from the default input), specified by a format specifier. See class `java.text.MessageFormat` for details of the format specification.

    format

      the format of the input.

    returns

      a list of all extracted values.

    Definition Classes
      StdIn
    Exceptions thrown

      `java.io.EOFException` if the end of the input stream has been reached.

26. #### def readf1(format: String): Any

    Reads in some structured input (from the default input), specified by a format specifier, returning only the first value extracted, according to the format specification.

    Reads in some structured input (from the default input), specified by a format specifier, returning only the first value extracted, according to the format specification.

    format

      format string, as accepted by `readf`.

    returns

      The first value that was extracted from the input

    Definition Classes
      StdIn

27. #### def readf2(format: String): (Any, Any)

    Reads in some structured input (from the default input), specified by a format specifier, returning only the first two values extracted, according to the format specification.

    Reads in some structured input (from the default input), specified by a format specifier, returning only the first two values extracted, according to the format specification.

    format

      format string, as accepted by `readf`.

    returns

      A scala.Tuple2 containing the first two values extracted

    Definition Classes
      StdIn

28. #### def readf3(format: String): (Any, Any, Any)

    Reads in some structured input (from the default input), specified by a format specifier, returning only the first three values extracted, according to the format specification.

    Reads in some structured input (from the default input), specified by a format specifier, returning only the first three values extracted, according to the format specification.

    format

      format string, as accepted by `readf`.

    returns

      A scala.Tuple3 containing the first three values extracted

    Definition Classes
      StdIn

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from StdIn

### Inherited from AnyRef

### Inherited from Any

### Ungrouped